<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Cvičení</title>
</head>
<body>
<h1>PRO3 - Cvičení</h1>
<ul>
    <li><a href="/page/exercises/cv1/cv1.html">Cvičení 1</a>
        <ul>
            <li>Deployment deskriptor</li>
            <li>Java-Servlet</li>
            <li>doGet, doPost</li>
        </ul>
    </li>
    <li><a href="/page/exercises/cv2/cv2.html">Cvičení 2</a>
        <ul>
            <li>Hlavičky a parametry HTTP požadavku</li>
            <li>Datum a čas (<em>formátování</em>)</li>
            <li>Kalkulačka</li>
        </ul>
    </li>
    <li><a href="/page/exercises/cv3/cv3.jsp">Cvičení 3</a>
        <ul>
            <li>Formuláře pro registraci a přihlášení uživatele</li>
            <li>Business logika (<em>+ validace</em>) pro registraci a přihlášení uživatele</li>
            <li>Odhlášení uživatele</li>
            <li>Session</li>
        </ul>
    </li>
    <li><a href="/page/exercises/cv4/cv4.jsp">Cvičení 4</a>
        <ul>
            <li>Soubory (<em>načtení a zobrazení obrázků</em>)</li>
            <li>JSP a JSTL
                <ul>
                    <li>Cykly (Java a JSTL)</li>
                    <li>Podmínky a větvení</li>
                    <li>Java kód (<em>Hlavička HTTP požadavku, Session, Cookies</em>)</li>
                    <li>Předávání hodnot mezi JSP stránkami pomocí Session</li>
                    <li>Lokalizace (/ <em>internacionalizace</em>)</li>
                </ul>
            </li>
        </ul>
    </li>
    <li><a href="/page/exercises/cv5/cv5.jsp">Cvičení 5</a>
        <ul>
            <li>MVC
                <ul>
                    <li>Basic (<em>Základní ukázka jednotlivých vrstev (/ komponent) MVC</em>)
                        <ul>
                            <li>Spustit pomocí metody <em>cz.uhk.fim.pro3.cv5.basic.MvcDemo.main</em></li>
                        </ul>
                    </li>
                    <li>DispatcherServlet (<em>Centrální servlet</em>)</li>
                </ul>
            </li>
        </ul>
    </li>
</ul>
</body>
</html>
